/*@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&display=swap');*/
@font-face {
    font-family: 'Quicksand';
    src: url('fonts/Quicksand-Regular.woff2') format('woff2'),
        url('fonts/Quicksand-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Quicksand';
    src: url('fonts/Quicksand-Bold.woff2') format('woff2'),
        url('fonts/Quicksand-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto Mono';
    src: url('fonts/RobotoMono-Regular.woff2') format('woff2'),
        url('fonts/RobotoMono-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
html {
  scroll-behavior: smooth;
}
* {
    box-sizing: border-box;
}

header nav {
    text-align: center;
    
    overflow: hidden;

    border-bottom:1px solid #ccc;
}
header nav>ul {
    margin:0;
    padding:0;
    display: flex;
    flex-wrap:wrap;
    justify-content: center;
    flex-direction: row;
}
header nav li {
    display:block;
    list-style: none;
    padding:26px 20px;

}
header nav a{
    color:#000;
    text-transform: uppercase;
    text-decoration: none; 
    position: relative;
}
header nav a::after {
    content:"";
    width:100%;
    height:3px;
    left:50%;
    bottom:-9px;
    background:#000;
    position: absolute;
    transform: translateX(-50%);
    width: 0;
    transition: width 0.3s;
}
header nav a:hover::after { 
width:100%;
}
footer {
    width:100%;
    background: #000;
    color: #fff;
}
#footer-inner {
    max-width: 1200px;
    margin:auto;
    padding:30px;
    text-align: center;
}
@media only screen and (max-width: 640px) {
    header nav ul {
        flex-direction:column;
    }
    header nav li {
        padding: 16px 20px;
    }
}
article p , article  {
    font-size:17px; 
}
body {
    margin:0;
    padding:0;
    background: #fff;
    font-family: "Quicksand", serif;
    
    overflow-y: scroll;
}
a {
    cursor:pointer;
}
article a {
    color:#00f;
}
h1,h2,h3 h4 {
    margin-top:0px;
    margin-bottom:20px;
    line-height:1.4;
}
h2 {
    font-size:30px;
    margin-top:20px;
}

header {
    width:100%;
    background:#fff;
    overflow: hidden;
}
footer {
    width:100%;
    background: #000;
    color: #fff;
}
#footer-inner {
    max-width: 1200px;
    margin:auto;
    padding:30px;
    text-align: center;
}
@media only screen and (max-width: 640px) {
    header nav ul {
        flex-direction:column;
    }
    header nav ul ul { 
        position: relative !important;
        width: 100% !important;
        padding-top:0px;
    }
    header nav ul ul li {
        text-align: center;
    }
    header nav li {
        padding: 16px 20px;
    }
}
article {
    width:100%;
    max-width:1000px;
    margin: 0px auto 50px auto;
    line-height:1.5;
}
p,aricle,h1,h2,h3 {
    color:#000;
    text-align: center;
}
h1 {
    font-size:40px;
    text-align: center;
}
.poetry p,.poetry h2 {
    text-align: left;
}
.code {
    white-space: pre-line;
    padding:30px;
    background: #f2f2f2;
    font-weight: 400;
    font-size:0.8em;
    color:#333;
    font-family: "Roboto Mono", serif;
}
.code code {
       font-family: "Roboto Mono", serif;
}
.copy-button,.copy-button-inner {
    margin:30px 0;
    padding: 10px 30px;
    background: #000;
    color: #fff;
    display:block;
    width:fit-content;
    margin-bottom: 20px;
    cursor: pointer;
}
.comment {
    font-weight: bold;
}
article img {
    width:100%;
    display:block;
    max-width: 800px;
    margin:auto;
    object-fit: cover;
}
    .inner {
       max-width:900px;
       margin:auto;
       width:100%;
    }
    .outer {
        width:100%;
        overflow: auto;
    }
    #second {
        padding-bottom:100px;
    }
    code {
       overflow-wrap: break-word; 
    }
    footer a {
        color:#fff;
        text-decoration: none;
    }
    #muster {
       max-width:400px;
       height:auto;
       margin:auto;
    }
    #convert {
      display:block;
      width:fit-content;
      padding:10px 20px;
      background:#000;
      color:#fff;
      margin:auto;
      text-decoration: none;
    }
    #masthead {
       position: fixed;
       top:0;
       left:0;
       width:100%;
    }